Skip to navigation

Retrieve a commitment

View as Markdown
Retrieves the details of a specific commitment using its ID or number.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

commitmentKeystringRequired

The unique identifier (ID or number) of the commitment.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response

OK
idstringOptional
ID of the commitment.
statusenumOptional
Status of the commitment.
Allowed values:
versionintegerOptional
Version of the commitment.
startDatedateOptional
The start date of the commitment.
endDatedateOptional
The end date of the commitment.
totalAmountdoubleOptional
The commitment amount.
currencystringOptional
Currency of the commitment.
orderNumberstringOptional<=32 characters
The number of the order.
orderIdstringOptional<=32 characters
The ID of the order.
accountIdstringOptional<=32 characters
The ID of the commitment owner account.
accountNumberstringOptional<=100 characters
Use this field to assign an existing account as the owner of an Commitment.
commitmentNumberstringOptional<=100 characters
The number of the commitment.
namestringOptional<=255 characters
The name of the commitment.
typeenumOptional
The type of the commitment.
Allowed values:
prepaymentTypeenumOptional

The prepayment type of the commitment.

Note: FullyPrepaid commitments will not be considered for true-up during invoice generation.

Allowed values:
descriptionstringOptional<=500 characters
The description about this commitment.
priorityintegerOptional
The priority of the commitment. It defines the evaluation order of the commitment. The lower the number, the higher the priority. When two commitments have the same priority, the one with the earlier created time will be evaluated first.
customFieldsmap from strings to stringsOptional
Container for custom fields of a Commitment object.
accountReceivableAccountingCodestringOptional<=200 characters
The accounting code on the Commitment object for customers
adjustmentLiabilityAccountingCodestringOptional<=100 characters

The accounting code on the commitment for customers.

Note: This field is only available if you have the Order to Revenue feature enabled.

adjustmentRevenueAccountingCodestringOptional<=100 characters

The accounting code on the commitment for customers.

Note: This field is only available if you have the Order to Revenue feature enabled.

cancellationPolicyobjectOptional
Cancellation policy configuration for a commitment. Defines how settlements are handled when a commitment is cancelled.
cancellationEffectiveDatedateOptional
The effective date when the commitment cancellation takes effect.
contractAssetAccountingCodestringOptional<=100 characters

The accounting code on the commitment for customers.

Note: This field is only available if you have the Order to Revenue feature enabled.

contractLiabilityAccountingCodestringOptional<=100 characters

The accounting code on the commitment for customers.

Note: This field is only available if you have the Order to Revenue feature enabled.

contractRecognizedRevenueAccountingCodestringOptional<=100 characters

The accounting code on the commitment for customers.

Note: This field is only available if you have the Order to Revenue feature enabled.

deferredRevenueAccountingCodestringOptional<=100 characters
The deferred revenue accounting code for the commitment.
excludeItemBookingFromRevenueAccountingbooleanOptionalDefaults to true
The flag to exclude commitment related booking items from revenue accounting.
excludeItemBillingFromRevenueAccountingbooleanOptional

The flag to exclude commitment related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting.

Note: This field is only available if you have the Order to Revenue feature enabled.

eligibleAccountConditionsobjectOptional
The conditions for account level filters for the commitment.
eligibleChargeConditionsobjectOptional
The conditions for charge level filters for the commitment.
periodAlignmentOptionenumOptionalDefaults to CommitmentStartDate
Options for aligning the commitment periods within a commitment.
Allowed values:
specificPeriodAlignmentDatedateOptional

The specific date for period alignment, required if periodAlignmentOption is SpecificDate.

isAllocationEligiblebooleanOptional

This field is used to identify if the commitment is allocation eligible in revenue recognition.

Note: This field is only available if you have the Order to Revenue feature enabled.

isUnbilledbooleanOptional

This field is used to dictate how to perform the accounting during revenue recognition.

Note: This field is only available if you have the Order to Revenue feature enabled.

recognizedRevenueAccountingCodestringOptional<=100 characters
The recognized revenue accounting code for the commitment.
revenueAmortizationMethodstringOptional<=200 characters
This field is used to dictate the type of revenue amortization method.
revenueRecognitionRulestringOptional
The revenue recognition rule for the commitment.
revenueRecognitionTimingstringOptional<=200 characters
This field is used to dictate the type of revenue recognition timing.
unbilledReceivablesAccountingCodestringOptional<=100 characters

The accounting code on the commitment for customers.

Note: This field is only available if you have the Order to Revenue feature enabled.

taxablebooleanOptional

Determines whether the true-up invoice of a commitment is taxable. If the value is true, the tax code and tax mode are required.

taxCodestringOptional
Identifies which tax rules and tax rates to apply to the corresponding billing document.
taxModeenumOptional
The tax mode that determines whether tax is included or exclueded from the billing document.
Allowed values:

Errors

4XX
Client Request Error
500
Internal Server Error